Creating SSL CA ... Failed!



  • Hello everyone,

    I installed an LXC with Debian on two sectors on which I wanted to install a Fog server. Except that the installation closes when it has to create the SSL CA. The same error appears on both sides.
    So I tried using ./installfog.sh -C -K but it didn’t work. I also tried to remove the ssl and CA file before recreating the keys.
    So I thought that I should test with version 1.5.8 but here another error in mariaDB which prevents me from passing the password. The first installation asks me for a password which I give it and stops at SSL CA. The following installations stop when I give them the password from the first installation.
    Here are some screens that would be useful for you :
    storage
    SSL CA Failed
    Log 1.5.7
    Log 1.5.8

    If you have a solution for fog 1.5.7 or 1.5.8 I would appreciate it.



  • @Sebastian-Roth Understood. Sorry. I will make a new thread.



  • @Sebastian-Roth I hit send to quickly…

    For new installs I usually leave the mysql db area “blank” but I wasn’t given the option this time.

    I’ve manually set a root password for mysql. However, mysql -u root - p doesn’t allow me to log in. Then upon entering mysql root pass it fails reporting bad password.


  • Developer

    @Sharo said in Creating SSL CA ... Failed!:

    Creating SSL Private Key…Failed!

    Last time you posted it failed on SSL private key!!! Please open a new topic and post all your details there if you need help with it: fresh install or update, update from what version, Linux OS and version, …??



  • @Sebastian-Roth
    Hello Sebastian I’m afraid there’s not much there. It reports exactly what I saw during the install which was this: . fog_rootmysqlpass.JPG


  • Developer

    @Sharo You need to take a look at the log files (sub folder where run the installer e.g. fogproject/bin/error_logs/) to see why it is failing in your case. I don’t think this is a general Ubuntu issue.



  • @Sebastian-Roth

    Hello Sebastian,

    Here’s my hostctl:
    Machine ID: 963549a897194de18043780fb842385c
    Boot ID: 21253c11aafb491c88c030e766f1f8c2
    Operating System: Ubuntu 16.04.6 LTS
    Kernel: Linux 4.15.0-45-generic
    Architecture: x86-64

    I have another ubuntu 16.04.6 instllation on 1.5.7 which installed without issue. I’m thinking perhaps ubuntu changed something in their repos during the update process?

    I’d like to stay on 1.5.7 for systems coherence.

    Thank you



  • Nvm i just did a full reinstall with the dev-branch and everything worked pretty well, i guess it was due to the password generation but I can’t figure out why but thank you very much for your help !!



  • @Sebastian-Roth

    Hello,

    I did not pay attention to this package because on the installation of 5 fog server, it is the only two who have this problem. So after installing the package the problem related to SSL CA is corrected, thank you for pointing out this error to me. But another error is blocking me. Here are the screens, I understand that the error comes from php but is there a link with an error on mariaDB?
    The error is saying “Backing up Database … Failed!”
    I’m sorry if my problems may seem silly.
    Capture.PNG

    Capture1.PNG

    Capture3.PNG

    Capture2.PNG


  • Developer

    @Zaairo Aren’t the logs clear enough? In the pictures we see “openssl : command introuvable” (engl. “command not found”).

    While FOG is trying to install most packages needed for you it obviously does not for openssl due to it being part of pretty much every base install. Run apt-get install openssl and re-run the installer.

    Be aware that we have found an issue in FOG 1.5.8 on Debian 10 (should not happen on Debian 9) that would set a random password on the database root account. FOG will still work but this will cause issues when re-running the FOG installer later on. This is fixed in the development version of FOG.

    So depending on the verison of Debian (or Ubuntu @Sharo ??) you use, you might want to look into using the latest from here: https://github.com/FOGProject/fogproject/archive/dev-branch.zip



  • @Zaairo Hello,

    Same issue- I was trying to install 1.5.8 and I got:

    • Creating SSL CA…OK
    • Creating SSL Private Key…Failed!

    Went down to 1.5.7 and got the same thing. I don’t recall having issues on my other 1.5.7 server.


Log in to reply
 

270
Online

7.0k
Users

14.2k
Topics

134.4k
Posts